### gensyn~: generic, multi-modulator synthesizer abstraction

**REQUIRES: zexy**

## what makes this synthesizer abstraction different is:

In addition to the common access to adsr(filter and amp)
and vcf~(cutoff and frequency)

### It also includes
* 5 available modulation types for two wavetables 
	* additive and frequency, phase, pulse, and amplitude modulation 
* 8 possible types for each wavetable
	* sine, square, triangle, saw, random, duty, pink noise, noise 
		* the random is by a settable number of partials   
		* the duty is a square wave with settable dutycycle  
* access to two unique parameters per modulation type

---

Note: The -help file has a substantial number of examples. Especially, interesting are those changing modulation type, wavetype, partials, and dutycycle on a per-voice basis, by both formula and over time.

---

I hope you enjoy it, get some use out of it, or it just makes you smile or giggle.

Sincerely,
Scott

p.s. no picture necessary. And personally, I find this Very funny. -Peace.
